(* whenjobs
 * Copyright (C) 2012 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *)

open Whenexpr

open Printf

(* The list of jobs in this file. *)
let jobs = ref []

let init () = jobs := []

let add_when_job _loc name e sh =
  let e = expr_of_ast _loc e in
  let job = make_when_job _loc name e sh in
  jobs := job :: !jobs

let add_every_job _loc name e sh =
  let job = make_every_job _loc name e sh in
  jobs := job :: !jobs

let get_jobs () =
  List.rev !jobs
